future File Reference

Go to the source code of this file.

## Classes

class | std::future_error
struct | std::is_error_code_enum< future_errc >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_FUTURE

## Enumerations

enum | std::future_errc { future_already_retrieved, promise_already_satisfied, no_state, broken_promise }
enum | std::future_status { ready, timeout, deferred }
enum | std::launch { async, deferred }

## Functions

template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (launch __policy, _Fn &&__fn, _Args &&...__args)
template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (_Fn &&__fn, _Args &&...__args)
const error_category & | std::future_category () noexcept
error_code | std::make_error_code (future_errc __errc) noexcept
error_condition | std::make_error_condition (future_errc __errc) noexcept
constexpr launch | std::operator& (launch __x, launch __y)
launch & | std::operator&= (launch &__x, launch __y)
constexpr launch | std::operator^ (launch __x, launch __y)
launch & | std::operator^= (launch &__x, launch __y)
constexpr launch | std::operator| (launch __x, launch __y)
launch & | std::operator|= (launch &__x, launch __y)
constexpr launch | std::operator~ (launch __x)

## Detailed Description

This is a Standard C++ Library header.

Definition in file future.